# Generated by Django 4.0.4 on 2022-05-18 09:35

import apps.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Candidate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=50)),
                ('email', models.EmailField(max_length=254)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(blank=True, null=True, validators=[apps.models.validate_date])),
                ('type', models.CharField(choices=[('created', 'created'), ('replied', 'replied'), ('bounced', 'bounced')], max_length=50)),
                ('metadata', models.JSONField()),
            ],
        ),
        migrations.CreateModel(
            name='Job',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('state', models.CharField(choices=[('open', 'open'), ('close', 'close')], default='open', max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='Match',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(auto_now=True)),
                ('outreachState', models.CharField(choices=[('in progress', 'in progress'), ('replied', 'replied')], max_length=20)),
                ('candidateInterest', models.CharField(choices=[('interested', 'interested'), ('not interested', 'not interested')], max_length=20)),
                ('candidate', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps.candidate')),
                ('jobs', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps.job')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Email',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(auto_now=True)),
                ('status', models.CharField(blank=True, max_length=10, null=True)),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps.event')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
